summaryrefslogtreecommitdiff
path: root/tests/iscache.script
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2012-10-13 10:10:49 +0100
committerLars Wirzenius <liw@liw.fi>2012-10-13 10:10:49 +0100
commit1a3631c12fcd0d70141c2c0172ff14c056567a75 (patch)
tree036819e4f57acb19df3590750eb086e132c57a7d /tests/iscache.script
parent6bc2a04374e008ebae51aa0d9f09c2fa9d98af13 (diff)
downloadcachedir-1a3631c12fcd0d70141c2c0172ff14c056567a75.tar.gz
Add iscache subcommand
Diffstat (limited to 'tests/iscache.script')
-rwxr-xr-xtests/iscache.script21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/iscache.script b/tests/iscache.script
new file mode 100755
index 0000000..e7384ac
--- /dev/null
+++ b/tests/iscache.script
@@ -0,0 +1,21 @@
+#!/bin/sh
+# Copyright 2012 Lars Wirzenius
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+"$SRCDIR/cachedir" tag "$DATADIR"
+"$SRCDIR/cachedir" iscache "$DATADIR"
+